Summary:       eSpeak NG Text-to-Speech
Name:          espeak-ng
Version:       1.51.1
Release:       5%{?dist}
License:       GPLv3+
URL:           https://github.com/espeak-ng/espeak-ng
Source0:       %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/espeak-ng/espeak-ng/commit/58f1e0b6a4e6aa55621c6f01118994d01fd6f68c
# fix CVEs: CVE-2023-49990 ~ CVE-2023-49994
Patch0001:     espeak-ng-1.51-CVE-2023-49990-4.patch

BuildRequires: gcc-g++ make autoconf automake libtool pkgconfig
BuildRequires: rubygem-ronn rubygem-kramdown pcaudiolib-devel

%description
The eSpeak NG (Next Generation) Text-to-Speech program is an open source speech
synthesizer that supports over 70 languages. It is based on the eSpeak engine
created by Jonathan Duddington. It uses spectral formant synthesis by default
which sounds robotic, but can be configured to use Klatt formant synthesis
or MBROLA to give it a more natural sound.

%package devel
Summary: Development files for espeak-ng
Requires: %{name} = %{version}-%{release}

%description devel
Development files for eSpeak NG, a software speech synthesizer.

%package vim
Summary: Vim syntax highlighting for espeak-ng data files
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description vim
eSpeak NG Text-to-Speech.

%package doc
Summary: Documentation for espeak-ng
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for eSpeak NG, a software speech synthesizer.

%prep
%autosetup -p1
rm -rf src/include/compat/endian.h src/compat/getopt.c android/

%build
./autogen.sh
%configure
%make_build src/espeak-ng src/speak-ng
make
LC_ALL=C.UTF-8 make docs

%install
%make_install
rm -vf %{buildroot}%{_libdir}/libespeak-ng-test.so*
rm -vf %{buildroot}%{_libdir}/*.{a,la}
rm -vf %{buildroot}%{_bindir}/{speak,espeak}
rm -vrf %{buildroot}%{_includedir}/espeak
mv %{buildroot}%{_datadir}/vim/addons %{buildroot}%{_datadir}/vim/vimfiles
rm -vrf %{buildroot}%{_datadir}/vim/registry

%check
ESPEAK_DATA_PATH=`pwd` LD_LIBRARY_PATH=src:${LD_LIBRARY_PATH} src/espeak-ng ...


%files
%license COPYING COPYING.APACHE COPYING.BSD2 COPYING.UCD
%doc README.md CHANGELOG.md
%{_bindir}/speak-ng
%{_bindir}/espeak-ng
%{_libdir}/libespeak-ng.so.1
%{_libdir}/libespeak-ng.so.1.*
%{_datadir}/espeak-ng-data
%{_mandir}/man1/speak-ng.1.gz
%{_mandir}/man1/espeak-ng.1.gz

%files devel
%{_libdir}/pkgconfig/espeak-ng.pc
%{_libdir}/libespeak-ng.so
%{_includedir}/espeak-ng

%files vim
%{_datadir}/vim/vimfiles/ftdetect/espeakfiletype.vim
%{_datadir}/vim/vimfiles/syntax/espeaklist.vim
%{_datadir}/vim/vimfiles/syntax/espeakrules.vim

%files doc
%doc docs/*.html

%changelog
* Fri Jan 19 2024 Wang Guodong <gordonwwang@tencent.com> - 1.51.1-5
- fix CVEs: CVE-2023-49990, CVE-2023-49991, CVE-2023-49992, CVE-2023-49993, CVE-2023-49994

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.51.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.51.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.51.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Miaojun Dong <zoedong@tencent.com> - 1.51.1-1
- initial build
